unit FormCaptureTool;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, SpTBXEditors, SpTBXDkPanels, TBXDkPanels, ExtCtrls,
  ComCtrls, Jpeg, Math;

type
  TCaptureTool = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    ScrollBox1: TScrollBox;
    ExportImage: TImage;
    SpTBXGroupBox2: TSpTBXGroupBox;
    SpTBXLabel1: TSpTBXLabel;
    WidthBox: TSpTBXEdit;
    HeightBox: TSpTBXEdit;
    SpTBXLabel2: TSpTBXLabel;
    SpTBXLabel3: TSpTBXLabel;
    PreFixBox: TSpTBXEdit;
    SpTBXGroupBox3: TSpTBXGroupBox;
    SpTBXLabel4: TSpTBXLabel;
    SpTBXPanel1: TSpTBXPanel;
    TrackBar1: TTrackBar;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    SpTBXButton4: TSpTBXButton;
    SpTBXLabel5: TSpTBXLabel;
    SpTBXPanel2: TSpTBXPanel;
    TrackBar2: TTrackBar;
    procedure SpTBXButton4Click(Sender: TObject);
    procedure SpTBXButton3Click(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure WidthBoxChange(Sender: TObject);
    procedure HeightBoxChange(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    FDefWidth: Integer;
    FDefHeight: Integer;
  end;

var
  CaptureTool: TCaptureTool;

implementation

uses main;

{$R *.dfm}

procedure TCaptureTool.SpTBXButton4Click(Sender: TObject);
var
  jp: TJPEGImage;  //uses ߂ɒǉ jpeg jbgKv
  SmallBMP: TBitmap;
  fn: String;
begin
  fn := InputBox('t@C','t@C͂Ă(gqsv)','');
  if fn = '' then
    Exit;

  if FileExists(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
      fn + '.jpg') then
    if MessageDlg(fn + '.jpg' + '͂łɑ݂Ă܂B'+#13#10+
      '㏑ۑĂ낵łH'+#13#10
      ,mtWarning,[mbYes,mbNo],0) = mrNo then
      Exit;


  jp := TJPEGImage.Create;
  try
    jp.CompressionQuality := TrackBar1.Position;
    jp.Assign(ExportImage.Picture.Bitmap);
    ForceDirectories(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture');
    jp.SaveToFile(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
      fn + '.jpg');

    if TSpTBXButton(Sender).Tag = 0 then
    begin
      if FileExists(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
          fn + PreFixBox.Text + '.jpg') then
        if MessageDlg(fn + PreFixBox.Text + '.jpg' +
          '͂łɑ݂Ă܂B'+#13#10+
          '㏑ۑĂ낵łH'+#13#10
          ,mtWarning,[mbYes,mbNo],0) = mrNo then
          Exit;

      //k摜̏o
      SmallBMP := TBitMap.Create;
      try
        SmallBMP.Width := StrToIntDef(WidthBox.Text,250);
        SmallBMP.Height := StrToIntDef(HeightBox.Text,200);
        SmallBMP.Canvas.StretchDraw(Rect(0,0,SmallBMP.Width,SmallBMP.Height),
          ExportImage.Picture.Bitmap);

        jp.Assign(SmallBMP);
        jp.SaveToFile(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
          fn + PreFixBox.Text + '.jpg');
      finally
        SmallBMP.Free;
      end;
    end;
  finally
    jp.Free;
  end;
  ModalResult := mrOk;
end;

procedure TCaptureTool.SpTBXButton3Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/20051130182954937.htm'),HH_DISPLAY_TOC,0);
end;

procedure TCaptureTool.TrackBar2Change(Sender: TObject);
var
  f: Double;
begin
  f := (TrackBar2.Position / 100);
  WidthBox.Text := FloatToStr(Floor(FDefWidth * f));
  HeightBox.Text := FloatToStr(Floor(FDefHeight * f));
end;

procedure TCaptureTool.WidthBoxChange(Sender: TObject);
begin
  if StrToIntDef(WidthBox.Text,-1) <> -1 then
    ExportImage.Width := StrToIntDef(WidthBox.Text,0);
end;

procedure TCaptureTool.HeightBoxChange(Sender: TObject);
begin
  if StrToIntDef(HeightBox.Text,-1) <> -1 then
    ExportImage.Height := StrToIntDef(HeightBox.Text,0);
end;

end.
