unit FormContextIDEditor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TBXDkPanels, SpTBXDkPanels, ComCtrls;

type
  TEditContextID = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    ListView1: TListView;
    SpTBXLabel1: TSpTBXLabel;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    procedure ListView1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ListView1DblClick(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  EditContextID: TEditContextID;

implementation

uses main, FormContextEd;

{$R *.dfm}

procedure TEditContextID.ListView1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_F2 then
    ListView1DblClick(nil);
end;

procedure TEditContextID.ListView1DblClick(Sender: TObject);
var
  F: TContextEdForm;
begin
  if ListView1.Selected = nil then
    Exit;

  F := TContextEdForm.Create(self);
  try
    F.ConIDEdit.Text := ListView1.Selected.Caption;
    F.ConNumEdit.Text := ListView1.Selected.SubItems[0];
    if F.ShowModal = mrok then
    begin
      ListView1.Selected.Caption := F.ConIDEdit.Text;
      ListView1.Selected.SubItems[0] := F.ConNumEdit.Text;
    end;
  finally
    F.Free;
  end;
end;

procedure TEditContextID.SpTBXButton1Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/2005113018387562.htm'),HH_DISPLAY_TOC,0);
end;

end.
