unit FormFont;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SpTBXDkPanels, StdCtrls, TntStdCtrls, SpTBXEditors, TBXDkPanels;

type
  TFontForm = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    FontEdit: TSpTBXEdit;
    ListBox1: TListBox;
    SpTBXGroupBox2: TSpTBXGroupBox;
    SpTBXLabel1: TSpTBXLabel;
    SizeBox: TSpTBXComboBox;
    SpTBXLabel2: TSpTBXLabel;
    ColorBoxx: TSpTBXEdit;
    SpTBXButton2: TSpTBXButton;
    SpTBXLabel3: TSpTBXLabel;
    BKColorBox: TSpTBXEdit;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    SpTBXButton4: TSpTBXButton;
    SpTBXButton5: TSpTBXButton;
    ColorDialog1: TColorDialog;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure SpTBXButton2Click(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
    procedure SpTBXButton3Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  FontForm: TFontForm;

implementation

uses main;

{$R *.dfm}

function GetRGB(Color: TColor): String;
var
  HexR,HexG,HexB: Integer;
  RGB: Integer;
begin
  RGB := ColorToRGB(Color);
  HexR := GetRValue(RGB);
  HexG := GetGValue(RGB);
  HexB := GetBValue(RGB);

  Result := IntToHex(HexR,2) +
    IntToHex(HexG,2) +IntToHex(HexB,2);
end;

procedure TFontForm.FormCreate(Sender: TObject);
begin
  ListBox1.Items := Screen.Fonts;
end;

procedure TFontForm.ListBox1Click(Sender: TObject);
begin
  if ListBox1.itemindex = -1 then
    Exit;
  FontEdit.Text := ListBox1.Items[ListBox1.itemindex];
end;

procedure TFontForm.SpTBXButton2Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
    ColorBoxx.Text := GetRGB(ColorDialog1.Color);
end;

procedure TFontForm.SpTBXButton1Click(Sender: TObject);
begin
  if ColorDialog1.Execute then
    BKColorBox.Text := GetRGB(ColorDialog1.Color);
end;

procedure TFontForm.SpTBXButton3Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/2005113018214265.htm'),HH_DISPLAY_TOC,0);
end;

end.
