unit FormImageAddForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtDlgs, ExtCtrls, StdCtrls, TBXDkPanels, SpTBXDkPanels,
  SpTBXEditors;

type
  TImageAddForm = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    LinkEdit: TSpTBXEdit;
    SpTBXButton2: TSpTBXButton;
    SpTBXGroupBox3: TSpTBXGroupBox;
    ListBox1: TListBox;
    Panel1: TPanel;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton4: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    SpTBXButton5: TSpTBXButton;
    OpenPictureDialog1: TOpenPictureDialog;
    procedure SpTBXButton2Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure SpTBXButton4Click(Sender: TObject);
  private
    { Private 錾 }
    FImageForm: TForm;
    procedure CaptureScan;
  public
    { Public 錾 }
  end;

var
  ImageAddForm: TImageAddForm;

implementation

uses main, FormImageView;

{$R *.dfm}

procedure TImageAddForm.CaptureScan;
var
  sr: TSearchRec;
begin
  if FindFirst(ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\*',
    faAnyFile, sr) = 0 then
  begin
    repeat
      if (sr.Name = '.') or (sr.Name = '..') then
        Continue;
      if (sr.Attr and faDirectory) = 0 then
      begin
        ListBox1.Items.Add(sr.Name);
      end;
    until FindNext(sr) <> 0;
    FindClose(sr);
  end;
end;

procedure TImageAddForm.SpTBXButton2Click(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
  begin
    LinkEdit.Text := ExtractRelativePath(FormMain.FProjectFullPath,
      OpenPictureDialog1.FileName);
  end;
end;

procedure TImageAddForm.ListBox1Click(Sender: TObject);
begin
  if ListBox1.ItemIndex <> -1 then
  begin
    LinkEdit.Text := 'Capture\' + ListBox1.Items[ListBox1.itemindex];

    if Assigned(FImageForm)  then
    begin
      if FImageForm.Visible then
      begin
        TImageViewForm(FImageForm).TKWebBrowser1.Navigate(
          ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
          ListBox1.Items[ListBox1.itemindex]);
      end;
    end;
  end;
end;

procedure TImageAddForm.FormCreate(Sender: TObject);
begin
  CaptureScan;
end;

procedure TImageAddForm.SpTBXButton1Click(Sender: TObject);
begin
  if ListBox1.ItemIndex = -1 then
    Exit;
  if Assigned(FImageForm) = False then
    FImageForm := TImageViewForm.Create(self);

  TImageViewForm(FImageForm).TKWebBrowser1.Navigate(
    ExtractFilePath(FormMain.FProjectFullPath) + 'Capture\' +
    ListBox1.Items[ListBox1.itemindex]);
  FImageForm.Show;
end;

procedure TImageAddForm.ListBox1DblClick(Sender: TObject);
begin
  ModalResult := mrok;
end;

procedure TImageAddForm.SpTBXButton4Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/200511301801687.htm'),HH_DISPLAY_TOC,0);
end;

end.
