unit FormNewTopic;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, SpTBXEditors, TBXDkPanels, SpTBXDkPanels, AppEvnts,
  TntStdCtrls;

type
  TNewTopicForm = class(TForm)
    NewTopicForm: TSpTBXGroupBox;
    SpTBXLabel1: TSpTBXLabel;
    TopicEdit: TSpTBXEdit;
    KeyEdit: TSpTBXEdit;
    SpTBXLabel2: TSpTBXLabel;
    SpTBXGroupBox1: TSpTBXGroupBox;
    SpTBXLabel3: TSpTBXLabel;
    ContextEdit: TSpTBXEdit;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    SpTBXButton4: TSpTBXButton;
    ApplicationEvents: TApplicationEvents;
    SpTBXLabel4: TSpTBXLabel;
    SpTBXComboBox1: TSpTBXComboBox;
    ContextNumEdit: TSpTBXEdit;
    SpTBXLabel5: TSpTBXLabel;
    BookEdit: TSpTBXCheckBox;
    procedure TopicEditChange(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
    procedure SpTBXButton4Click(Sender: TObject);
    procedure ApplicationEventsIdle(Sender: TObject; var Done: Boolean);
    procedure SpTBXComboBox1DrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure SpTBXButton3Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    FChild: Boolean;
  end;

var
  NewTopicForm: TNewTopicForm;

implementation

uses main;

{$R *.dfm}

procedure TNewTopicForm.TopicEditChange(Sender: TObject);
begin
  KeyEdit.Text := TopicEdit.Text;
end;

procedure TNewTopicForm.SpTBXButton1Click(Sender: TObject);
begin
  FChild := False;
end;

procedure TNewTopicForm.SpTBXButton4Click(Sender: TObject);
begin
  FChild := True;
end;

procedure TNewTopicForm.ApplicationEventsIdle(Sender: TObject;
  var Done: Boolean);
begin
  if (TopicEdit.Text = '') or (KeyEdit.Text = '') then
  begin
    SpTBXButton1.Enabled := False;
    SpTBXButton4.Enabled := False;
  end else
  begin
    SpTBXButton1.Enabled := True;
    SpTBXButton4.Enabled := True;
  end;
end;

procedure TNewTopicForm.SpTBXComboBox1DrawItem(Control: TWinControl;
  Index: Integer; Rect: TRect; State: TOwnerDrawState);
begin
  if odSelected in State then
    TSpTBXComboBox(Control).Canvas.Brush.Color := clHighlight else
    TSpTBXComboBox(Control).Canvas.Brush.Color := clWindow;
  TSpTBXComboBox(Control).Canvas.Font.Color := clBlack;
  TSpTBXComboBox(Control).Canvas.FillRect(Rect);
  TSpTBXComboBox(Control).Canvas.TextOut(
    Rect.left+3,Rect.top+4,TSpTBXComboBox(Control).Items[index]);
  FormMain.TreeNodeImages.Draw(TSpTBXComboBox(Control).Canvas,Rect.
    left+20,Rect.top + 2,index);
end;

procedure TNewTopicForm.SpTBXButton3Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/20051130184340437.htm'),HH_DISPLAY_TOC,0);
end;

end.
