[Setup]
InfoBeforeFile=..\ReadMe.txt
AllowNoIcons=Yes
ShowTasksTreeLines=Yes
SolidCompression=Yes
VersionInfoCopyright=(c) textex
VersionInfoVersion=1.11.0.0
VersionInfoTextVersion=1.11.0.0
VersionInfoCompany=textex.page
DefaultGroupName=SpeedHelpPad
DefaultDirName={pf}\SpeedHelpPad
AppVerName=SpeedHelpPad 1.11.0.0
AppName=SpeedHelpPad

[Types]
Name: "Custom"; Description: "Custom"; Flags: iscustom;

[Components]
Name: "App"; Description: "CR|[lgł"; Types: Custom;
Name: "Source"; Description: "SpeedHelpPad{̂̃\[XR[hł";

[Files]
Source: "APITestWnd.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "APITestWnd.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormAddCustomTag.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormAddCustomTag.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormBodySourceEdit.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormBodySourceEdit.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormCaptureTool.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormCaptureTool.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormContextEd.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormContextEd.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormContextIDEditor.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormContextIDEditor.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormAddCustomTool.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormAddCustomTool.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormControlCapt.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormControlCapt.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormCustomTag.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormCustomTag.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormDevTheme.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormDevTheme.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormFindDialog.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormFindDialog.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormFont.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormFont.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormImageAddForm.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormImageAddForm.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormImageView.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormImageView.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormLinkEditor.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormLinkEditor.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormNewTopic.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormNewTopic.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormNewWizard.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormNewWizard.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormOption.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormOption.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormReplace.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormReplace.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormSetCapture.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormSetCapture.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormSetProject.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormSetProject.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormTableInsert.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormTableInsert.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "FormVar.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormVar.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "main.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "main.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.cfg"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.dof"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.dpr"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.exe.manifest"; DestDir: "{app}\Source"; Components: Source;
Source: "FormUserTool.dfm"; DestDir: "{app}\Source"; Components: Source;
Source: "FormUserTool.pas"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.iss"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpPad.res"; DestDir: "{app}\Source"; Components: Source;
Source: "SpeedHelpStudio.ico"; DestDir: "{app}\Source"; Components: Source;
Source: "..\Theme\Default\css.css"; DestDir: "{app}\Theme\Default"; Components: App;
Source: "..\Theme\Default\footer.htm"; DestDir: "{app}\Theme\Default"; Components: App;
Source: "..\Theme\Default\header.htm"; DestDir: "{app}\Theme\Default"; Components: App;
Source: "..\Theme\HeadStyle\css.css"; DestDir: "{app}\Theme\HeadStyle"; Components: App;
Source: "..\Theme\HeadStyle\footer.htm"; DestDir: "{app}\Theme\HeadStyle"; Components: App;
Source: "..\Theme\HeadStyle\header.htm"; DestDir: "{app}\Theme\HeadStyle"; Components: App;
Source: "..\Theme\MSDN\css.css"; DestDir: "{app}\Theme\MSDN"; Components: App;
Source: "..\Theme\MSDN\footer.htm"; DestDir: "{app}\Theme\MSDN"; Components: App;
Source: "..\Theme\MSDN\header.htm"; DestDir: "{app}\Theme\MSDN"; Components: App;
Source: "..\Theme\MSDN\js.js"; DestDir: "{app}\Theme\MSDN"; Components: App;
Source: "..\Theme\None\footer.htm"; DestDir: "{app}\Theme\None"; Components: App;
Source: "..\Theme\None\header.htm"; DestDir: "{app}\Theme\None"; Components: App;
Source: "..\Theme\preview.htm"; DestDir: "{app}\Theme"; Components: App;
Source: "..\Theme\Simple\footer.htm"; DestDir: "{app}\Theme\Simple"; Components: App;
Source: "..\Theme\Simple\header.htm"; DestDir: "{app}\Theme\Simple"; Components: App;
Source: "..\Theme\WinHelp\css.css"; DestDir: "{app}\Theme\WinHelp"; Components: App;
Source: "..\Theme\WinHelp\footer.htm"; DestDir: "{app}\Theme\WinHelp"; Components: App;
Source: "..\Theme\WinHelp\header.htm"; DestDir: "{app}\Theme\WinHelp"; Components: App;
Source: "..\Theme\WinHelp\js.js"; DestDir: "{app}\Theme\WinHelp"; Components: App;
Source: "..\Theme\WinHelp_B\css.css"; DestDir: "{app}\Theme\WinHelp_B"; Components: App;
Source: "..\Theme\WinHelp_B\footer.htm"; DestDir: "{app}\Theme\WinHelp_B"; Components: App;
Source: "..\Theme\WinHelp_B\header.htm"; DestDir: "{app}\Theme\WinHelp_B"; Components: App;
Source: "..\Theme\WinHelp_B\js.js"; DestDir: "{app}\Theme\WinHelp_B"; Components: App;
Source: "..\SpeedHelpPad.exe.manifest"; DestDir: "{app}"; Components: App;
Source: "..\devtheme.exe"; DestDir: "{app}"; Components: App; Flags: ignoreversion;
Source: "..\SpeedHelpPad.exe"; DestDir: "{app}"; Components: App; Flags: ignoreversion;
Source: "..\SpeedHelpPad.chm"; DestDir: "{app}"; Components: App;
Source: "..\Theme\NoneEx\footer.htm"; DestDir: "{app}\Theme\NoneEx"; Components: App;
Source: "..\Theme\NoneEx\header.htm"; DestDir: "{app}\Theme\NoneEx"; Components: App;
Source: "..\Theme\HeadStyle2\css.css"; DestDir: "{app}\Theme\HeadStyle2"; Components: App;
Source: "..\Theme\HeadStyle2\footer.htm"; DestDir: "{app}\Theme\HeadStyle2"; Components: App;
Source: "..\Theme\HeadStyle2\header.htm"; DestDir: "{app}\Theme\HeadStyle2"; Components: App;
Source: "..\ReadMe.txt"; DestDir: "{app}"; Components: App;
Source: "..\Theme\Sandcastle\css.css"; DestDir: "{app}\Theme\Sandcastle"; Components: App;
Source: "..\Theme\Sandcastle\footer.htm"; DestDir: "{app}\Theme\Sandcastle"; Components: App;
Source: "..\Theme\Sandcastle\header.htm"; DestDir: "{app}\Theme\Sandcastle"; Components: App;
Source: "..\Theme\Sandcastle\js.js"; DestDir: "{app}\Theme\Sandcastle"; Components: App;
Source: "..\Theme\NDoc\css.css"; DestDir: "{app}\Theme\NDoc"; Components: App;
Source: "..\Theme\NDoc\footer.htm"; DestDir: "{app}\Theme\NDoc"; Components: App;
Source: "..\Theme\NDoc\header.htm"; DestDir: "{app}\Theme\NDoc"; Components: App;
Source: "..\Theme\SandcastleScroll\css.css"; DestDir: "{app}\Theme\SandcastleScroll"; Components: App;
Source: "..\Theme\SandcastleScroll\footer.htm"; DestDir: "{app}\Theme\SandcastleScroll"; Components: App;
Source: "..\Theme\SandcastleScroll\header.htm"; DestDir: "{app}\Theme\SandcastleScroll"; Components: App;
Source: "..\Theme\SproutsHelp\css.css"; DestDir: "{app}\Theme\SproutsHelp"; Components: App;
Source: "..\Theme\SproutsHelp\footer.htm"; DestDir: "{app}\Theme\SproutsHelp"; Components: App;
Source: "..\Theme\SproutsHelp\header.htm"; DestDir: "{app}\Theme\SproutsHelp"; Components: App;

[Icons]
Name: "{group}\SpeedHelpPad̎s"; Filename: "{app}\SpeedHelpPad.exe"; Components: App;
Name: "{group}\SpeedHelpPad̎s"; Filename: "{app}\SpeedHelpPad.exe"; Components: App;
Name: "{group}\DevTheme.exe"; Filename: "{app}\devtheme.exe"; Components: App;
Name: "{group}\SpeedHelpPad̃ACXg["; Filename: "{uninstallexe}";

[Languages]
Name: "jp"; MessagesFile: "..\..\..\..\..\..\..\Program Files\Inno Setup 5\Japanese-4-5.1.0.isl";

[Run]
Filename: "{app}\SpeedHelpPad.exe"; Description: "SpeedHelpPads"; Flags: hidewizard nowait postinstall skipifdoesntexist; Components: App;

[InnoEditX]
IssMakeZipDeploy=C:\Software\HomePage\software\speedhelppad\speedhelppad.zip
IssMakeZip=Yes
Deploy=C:\Software\HomePage\software\speedhelppad
