unit APITestWnd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Spin, TBXDkPanels, SpTBXDkPanels;

type
  TAPITestForm = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    ListBox1: TListBox;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    TabSheet2: TTabSheet;
    Label3: TLabel;
    SpinEdit1: TSpinEdit;
    TabSheet3: TTabSheet;
    LabeledEdit1: TLabeledEdit;
    TabSheet4: TTabSheet;
    Label4: TLabel;
    SpinEdit2: TSpinEdit;
    TabSheet5: TTabSheet;
    LabeledEdit2: TLabeledEdit;
    TabSheet6: TTabSheet;
    LabeledEdit3: TLabeledEdit;
    TabSheet7: TTabSheet;
    Label2: TLabel;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    procedure ListBox1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpTBXButton3Click(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  APITestForm: TAPITestForm;

implementation

uses main;

{$R *.dfm}

procedure TAPITestForm.ListBox1Click(Sender: TObject);
begin
  if ListBox1.ItemIndex <> -1 then
    PageControl1.ActivePageIndex := ListBox1.ItemIndex;
end;

procedure TAPITestForm.FormShow(Sender: TObject);
begin
  ListBox1.ItemIndex := 0;
end;

procedure TAPITestForm.SpTBXButton3Click(Sender: TObject);
var
  Path,Str: String;
  Dro: HH_POPUP;
  Fin: HH_FTS_QUERY;
begin
  Path := ExtractFilePath(FormMain.FProjectFullPath) +
    FormMain.FProjectTitle + '.chm';
  case ListBox1.ItemIndex of
  0:
    begin
      if po <> nil then
        HtmlHelp(0,nil,HH_CLOSE_ALL,0);
    end;
  1:
    begin
      FillChar(Dro,sizeof(HH_POPUP),0);
      Dro.cdStruct := sizeof(HH_POPUP);
      Dro.pt.X := mouse.CursorPos.X;
      Dro.pt.Y := mouse.CursorPos.Y;
      Dro.clrForeground := -1;
      Dro.clrBackground := -1;
      Dro.rcMargins.Left := -1;
      Dro.rcMargins.right := -1;
      Dro.rcMargins.top := -1;
      Dro.rcMargins.bottom := -1;
      Dro.idString := SpinEdit1.Value;
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path + '::/textpopup.txt'),
            HH_DISPLAY_TEXT_POPUP,Integer(@Dro));
    end;
  2:
    begin
      Str := Labelededit1.Text;
      if Str <> '' then
        Str := '::/' + Str;
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path + Str),HH_DISPLAY_TOC,0);
    end;
  3:
    begin
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path),HH_HELP_CONTEXT,SpinEdit2.Value);
    end;
  4:
    begin
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path),HH_DISPLAY_INDEX,
            Integer(PChar(LabeledEdit2.Text)));
    end;
  5:
    begin
      FillChar(Dro,sizeof(Fin),0);
      Fin.cbStruct := sizeof(Fin);
      Fin.fUniCodeStrings := False;
      Fin.pszSearchQuery := PChar(Labelededit3.Text);
      Fin.iProximity := -1;
      Fin.fStemmedSearch := False;
      Fin.fTitleOnly := False;
      Fin.fExecute := True;
      Fin.pszWindow := nil;
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path),HH_DISPLAY_SEARCH,Integer(@Fin));
    end;
  6:
    begin
      if po <> nil then
        if FileExists(Path) then
          HtmlHelp(Handle,PChar(Path),HH_DISPLAY_TOC,0);
    end;
  end;

end;

procedure TAPITestForm.SpTBXButton1Click(Sender: TObject);
begin
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm::/20051130184139640.htm'),HH_DISPLAY_TOC,0);
end;

end.
