unit FormDevTheme;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw_TLB, TKWebBrowser, StdCtrls, SpTBXDkPanels;

type
  TDevThemeForm = class(TForm)
    SpTBXGroupBox1: TSpTBXGroupBox;
    ThemeListBox: TListBox;
    SpTBXGroupBox2: TSpTBXGroupBox;
    TKWebBrowser: TTKWebBrowser;
    procedure ThemeListBoxClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
    function ConvartConst(const Str: String): String;
    function ConvCMD(const Command: String; var Edit: String;
      StartPos, EndPos: Integer): Integer;
  public
    { Public 錾 }
    procedure ScanTheme; //e[}̃XL
  end;

var
  DevThemeForm: TDevThemeForm;

implementation

uses TBXAthenTheme, main;

{$R *.dfm}

function TDevThemeForm.ConvCMD(const Command: String;
  var Edit: String; StartPos, EndPos: Integer): Integer;
var
  Key: String;
begin
  //X^[gʒuI܂łƂ肠
  Delete(Edit,StartPos,EndPos-StartPos);
  //XV
  if Command = 'HelpUpdateTime' then
  begin
    Key := FormatDateTime(LongDateFormat,Now);
  end;
  //쌠
  if Command = 'HelpCopyRight' then
  begin
    Key := '(c) CopyRight 2005- ABCDEFG';
  end;
  //vWFNg̖O
  if Command = 'ProjectName' then
  begin
    Key := 'TvvWFNg^Cg';
  end;
  //z[y[W
  if Command = 'WebPage' then
  begin
    Key := 'http://aaa.bbb.ccc.ddd/index.htm';
  end;
  //z[y[Wւ̃N
  if Command = 'WebPageLink' then
  begin
    Key :=
      '<a href="#" onClick="window.alert(''NNbN܂'');">';
  end;
  if Command = 'TipTitle' then
  begin
    Key := 'Tv^Cg';
  end;

  //߂邻̂P
  if (Command = 'Back') or (Command = 'Next') then
  begin
    Key :=
      '<a href="#" onClick="window.alert(''NNbN܂'');">';
  end;

  if (Command = 'Back2') or (Command = 'Next2') then
  begin
    Key :=
      '<a href="#" onClick="window.alert(''NNbN܂'');">' +
      '<img alt="N" src="res://shdoclc.dll/pagerror.gif"></a>';
  end;

  if Command = 'Navi' then
  begin
    Key :=
      '<a href="#" onClick="window.alert(''NNbN܂'');">' +
      'irQ[VP</a> > irQ[VQ';
  end;

  Insert(Key,Edit,StartPos);
  Result := StartPos + Length(Key);
end;

//*****************************************************************************/
//*                      萔lϊ̂Ԃ
//*****************************************************************************/
function TDevThemeForm.ConvartConst(const Str: String): String;
var
  i,x,ln,cp: Integer;
  Comand: String;
begin
  Result := Str;
  if Result = '' then
    Exit;
  i := 0;
  while Length(Result) >= i do
  begin
    //͂߂ɃCNg
    inc(i);
    //ϊĂ
    if (Result[i] = '<') then
    begin
      ln := Length(Result);
      if (Copy(Result,i+1,Length('!--%')) <> '!--%') then
      begin
        inc(i);
        Continue;
      end;
      //R}h𔲂oĂ݂
      cp := i + Length('!--%');
      for x := cp to ln do
      begin
        if Copy(Result,x,Length('%-->')) = '%-->' then
        begin
          //Rs[
          Comand := Copy(Result,cp+1,x-cp-1);
          //R}h
          i := ConvCMD(Comand,Result,i,x + Length('%-->'));
          Break;
        end;
      end;
    end;
  end;
end;

procedure TDevThemeForm.ScanTheme;
var
  sr: TSearchRec;
  FullDir: String;
begin
  ThemeListBox.Items.Clear;
  FullDir := ExtractFilePath(Application.ExeName) + 'Theme\';
  if FindFirst(FullDir + '*',faAnyFile, sr) = 0 then
  begin
    repeat
      if (sr.Name = '.') or (sr.Name = '..') then
        Continue;
      if (sr.Attr and faDirectory) <> 0 then
      begin
        //ƃt@CΏE
        if FileExists(FullDir + sr.Name + '\footer.htm') then
        begin
          ThemeListBox.Items.Add(sr.Name);
        end;
      end;
    until FindNext(sr) <> 0;
    FindClose(sr);
  end;
end;

procedure TDevThemeForm.ThemeListBoxClick(Sender: TObject);
var
  GenList,AddList: TStringList;
  ThemeFol,ThemeFol2: String;
begin
  if ThemeListBox.ItemIndex = -1 then
    Exit;
  //[h
  ThemeFol := ExtractFilePath(Application.ExeName) + 'Theme\' +
    ThemeListBox.Items[ThemeListBox.itemindex] + '\';
  ThemeFol2 := ExtractFilePath(Application.ExeName) + 'Theme\';

  GenList := TStringList.Create;
  AddList := TStringList.Create;
  try
    if FileExists(ThemeFol + 'header.htm') then
      GenList.LoadFromFile(ThemeFol + 'header.htm');

    //Kɒg
      GenList.Add('<p>TvwvTvwvTvwvTvwvTvwvTvwvTvwvTvwv</p>');
      GenList.Add('<h1>Tv</h1>');
      GenList.Add('<h2>Tv</h2>');
      GenList.Add('<h3>Tv</h3>');
      GenList.Add('<h4>Tv</h4>');
      GenList.Add('<h5>Tv</h5>');
      GenList.Add('<h6>Tv</h6>');
      GenList.Add('<hr><br>');
      GenList.Add('<ul><li>Tv</ul><BR>');
      GenList.Add('<ol><li>Tv</ol><BR>');
      GenList.Add('<dl><dt>Tv</dt><dd>TvTvTvTv</dd></dl><br>');
      GenList.Add('<table border=1><tr><th>Tv</th><th>Tv</th></tr>');
      GenList.Add('<tr><td>TvTv</td><td>TvTvTv</td></tr></table>');
    //I

    if FileExists(ThemeFol + 'footer.htm') then
      AddList.LoadFromFile(ThemeFol + 'footer.htm');
    GenList.AddStrings(AddList);

    //Kɂł
      GenList.Text := ConvartConst(GenList.Text);
    //I

    DeleteFile(ThemeFol2+'preview.htm');
    GenList.SaveToFile(ThemeFol2+'preview.htm');
    FileSetAttr(ThemeFol2+'preview.htm',faHidden);
    TKWebBrowser.Navigate(ThemeFol2+'preview.htm');
  finally
    AddList.Free;
    GenList.Free;
  end;
end;

procedure TDevThemeForm.FormCreate(Sender: TObject);
begin
  ScanTheme;
end;

end.
