unit FormOption;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TBXDkPanels, SpTBXDkPanels, SpTBXTabs, TB2Item, TBX, SpTBXItem,
  StdCtrls, SpTBXEditors, IniFiles, ComCtrls, ActnList, Menus, TntStdCtrls,
  FileCtrl;

type
  TOptionForm = class(TForm)
    SpTBXTabControl1: TSpTBXTabControl;
    SpTBXTabItem2: TSpTBXTabItem;
    SpTBXTabSheet2: TSpTBXTabSheet;
    SpTBXButton1: TSpTBXButton;
    SpTBXButton2: TSpTBXButton;
    SpTBXButton3: TSpTBXButton;
    SpTBXGroupBox1: TSpTBXGroupBox;
    HTMLHelpEdit: TSpTBXEdit;
    SpTBXButton4: TSpTBXButton;
    OpenDialog: TOpenDialog;
    SpTBXGroupBox2: TSpTBXGroupBox;
    CloseInfo: TSpTBXCheckBox;
    SpTBXGroupBox3: TSpTBXGroupBox;
    SpTBXLabel1: TSpTBXLabel;
    EditBodyEditor: TSpTBXEdit;
    SpTBXButton5: TSpTBXButton;
    OpenDialog1: TOpenDialog;
    SpTBXTabItem1: TSpTBXTabItem;
    SpTBXTabSheet1: TSpTBXTabSheet;
    SpTBXTabItem3: TSpTBXTabItem;
    SpTBXTabSheet3: TSpTBXTabSheet;
    SpTBXGroupBox9: TSpTBXGroupBox;
    HotKeyList: TListView;
    SpTBXLabel8: TSpTBXLabel;
    HotKey1: THotKey;
    ItemGes: TSpTBXCheckBox;
    ItemNinsiki: TSpTBXEdit;
    SpTBXGroupBox10: TSpTBXGroupBox;
    MouseList: TListView;
    SpTBXGroupBox24: TSpTBXGroupBox;
    MouseGesEdit: TSpTBXEdit;
    SpTBXButton23: TSpTBXButton;
    SpTBXButton24: TSpTBXButton;
    SpTBXButton25: TSpTBXButton;
    SpTBXButton26: TSpTBXButton;
    SpTBXButton28: TSpTBXButton;
    SpTBXButton29: TSpTBXButton;
    SpTBXButton15: TSpTBXButton;
    SpTBXButton16: TSpTBXButton;
    SpTBXLabel10: TSpTBXLabel;
    SpTBXTabItem4: TSpTBXTabItem;
    SpTBXTabSheet4: TSpTBXTabSheet;
    SpTBXGroupBox4: TSpTBXGroupBox;
    SpTBXLabel2: TSpTBXLabel;
    TBXThemesBox: TSpTBXComboBox;
    SmoothDrag: TSpTBXCheckBox;
    SmoothDock: TSpTBXCheckBox;
    FixToolbar: TSpTBXCheckBox;
    NoEndCapture: TSpTBXCheckBox;
    SpTBXTabItem5: TSpTBXTabItem;
    SpTBXTabSheet5: TSpTBXTabSheet;
    SpTBXGroupBox5: TSpTBXGroupBox;
    hviewed: TSpTBXEdit;
    SpTBXButton6: TSpTBXButton;
    SpTBXLabel3: TSpTBXLabel;
    SpTBXLabel4: TSpTBXLabel;
    jared: TSpTBXEdit;
    SpTBXButton7: TSpTBXButton;
    OpenDialog2: TOpenDialog;
    OpenDialog3: TOpenDialog;
    SpTBXTabItem6: TSpTBXTabItem;
    SpTBXTabSheet6: TSpTBXTabSheet;
    SpTBXGroupBox6: TSpTBXGroupBox;
    HTMLHelpCompDir: TSpTBXEdit;
    SpTBXButton8: TSpTBXButton;
    SpTBXLabel6: TSpTBXLabel;
    SpTBXLabel7: TSpTBXLabel;
    SpTBXLabel9: TSpTBXLabel;
    SpTBXGroupBox7: TSpTBXGroupBox;
    Dexplorepath: TSpTBXEdit;
    SpTBXButton9: TSpTBXButton;
    SpTBXLabel11: TSpTBXLabel;
    SpTBXLabel12: TSpTBXLabel;
    procedure SpTBXButton4Click(Sender: TObject);
    procedure SpTBXButton3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpTBXButton5Click(Sender: TObject);
    procedure HotKeyListClick(Sender: TObject);
    procedure HotKey1Change(Sender: TObject);
    procedure MouseListClick(Sender: TObject);
    procedure SpTBXButton23Click(Sender: TObject);
    procedure SpTBXButton24Click(Sender: TObject);
    procedure SpTBXButton25Click(Sender: TObject);
    procedure SpTBXButton26Click(Sender: TObject);
    procedure SpTBXButton15Click(Sender: TObject);
    procedure SpTBXButton16Click(Sender: TObject);
    procedure SpTBXButton1Click(Sender: TObject);
    procedure SpTBXButton6Click(Sender: TObject);
    procedure SpTBXButton7Click(Sender: TObject);
    procedure SpTBXButton8Click(Sender: TObject);
    procedure SpTBXButton9Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  OptionForm: TOptionForm;

implementation

uses main;

{$R *.dfm}

procedure TOptionForm.SpTBXButton4Click(Sender: TObject);
begin
  if OpenDialog.Execute then
    HTMLHelpEdit.Text := OpenDialog.FileName;
end;

procedure TOptionForm.SpTBXButton3Click(Sender: TObject);
var
  ini: TMemIniFile;
  i: integer;
begin
  ini := TMemIniFile.Create(ExtractFilePath(Application.ExeName) +
    'Setting.ini');
  try
    ini.WriteString('Option','WorkShop',HTMLHelpEdit.Text);
    ini.WriteString('Option','BodyEditor',EditBodyEditor.Text);
    ini.WriteString('Option','TBXTheme',TBXThemesBox.Text);
    ini.WriteBool('Option','NoCloseInfo',CloseInfo.Checked);
    ini.WriteBool('Option','NoEndCapture',NoEndCapture.Checked);

    ini.WriteBool('Option','SmoothDrag',SmoothDrag.Checked);
    ini.WriteBool('Option','SmoothDock',SmoothDock.Checked);
    ini.WriteBool('Option','FixToolbar',FixToolbar.Checked);

    ini.WriteString('Option','hsviewer',hviewed.Text);
    ini.WriteString('Option','jar',jared.Text);

    ini.WriteString('Option','HTML2XDir',HTMLHelpCompDir.Text);
    ini.WriteString('Option','Dexplorepath',Dexplorepath.Text);

    for i := 0 to HotKeyList.Items.Count - 1 do
    begin
      Ini.WriteString('HotKey', HotKeyList.Items[i].Caption,
        HotKeyList.Items[i].SubItems[0]);
    end;

    for i := 0 to MouseList.Items.Count - 1 do
    begin
      Ini.WriteString('Gesture', MouseList.Items[i].Caption,
        MouseList.Items[i].SubItems[0]);
    end;
    ini.UpdateFile;
  finally
    ini.Free;
  end;
end;

procedure TOptionForm.FormCreate(Sender: TObject);
var
  ini: TMemIniFile;
  i: Integer;
  Item: TListItem;
begin
  for i := 0 to FormMain.TBXSwitcher1.ThemeCount-1 do
    TBXThemesBox.Items.Add(FormMain.TBXSwitcher1.Themes[i]);

  ini := TMemIniFile.Create(ExtractFilePath(Application.ExeName) +
    'Setting.ini');
  try
    for i := 0 to FormMain.ActionList1.ActionCount-1 do
    begin
      if TAction(FormMain.ActionList1[i]).Caption = '' then
        Continue;

      Item := HotKeyList.Items.Add;
      Item.Caption := TAction(FormMain.ActionList1[i]).Category + '-' +
        TAction(FormMain.ActionList1[i]).Caption;
      Item.SubItems.Add(ini.ReadString('HotKey',Item.Caption,
        ShortCutToText(TAction(FormMain.ActionList1[i]).ShortCut)));
      Item.ImageIndex := TAction(FormMain.ActionList1[i]).ImageIndex;

      Item := MouseList.Items.Add;
      Item.Caption := TAction(FormMain.ActionList1[i]).Category + '-' +
        TAction(FormMain.ActionList1[i]).Caption;
      Item.SubItems.Add(ini.ReadString('Gesture',Item.Caption,''));
      Item.ImageIndex := TAction(FormMain.ActionList1[i]).ImageIndex;
    end;

    HTMLHelpEdit.Text :=
      ini.ReadString('Option','WorkShop',HTMLHelpEdit.Text);
    EditBodyEditor.Text :=
      ini.ReadString('Option','BodyEditor',EditBodyEditor.Text);
    CloseInfo.Checked :=
      ini.ReadBool('Option','NoCloseInfo',CloseInfo.Checked);
    SmoothDrag.Checked :=
      ini.ReadBool('Option','SmoothDrag',SmoothDrag.Checked);
    SmoothDock.Checked :=
      ini.ReadBool('Option','SmoothDock',SmoothDock.Checked);
    FixToolbar.Checked :=
      ini.ReadBool('Option','FixToolbar',FixToolbar.Checked);
    NoEndCapture.Checked :=
      ini.ReadBool('Option','NoEndCapture',NoEndCapture.Checked);

    hviewed.Text := ini.ReadString('Option','hsviewer',hviewed.Text);
    jared.Text := ini.ReadString('Option','jar',jared.Text);
    HTMLHelpCompDir.Text :=
      ini.ReadString('Option','HTML2XDir',HTMLHelpCompDir.Text);
    Dexplorepath.Text :=
      ini.ReadString('Option','Dexplorepath',Dexplorepath.Text);

    TBXThemesBox.ItemIndex :=
      TBXThemesBox.Items.IndexOf(
        ini.ReadString('Option','TBXTheme',FormMain.TBXSwitcher1.Theme));
  finally
    ini.Free;
  end;
  self.SpTBXTabControl1.ActiveTabIndex := 0;
end;

procedure TOptionForm.SpTBXButton5Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    EditBodyEditor.Text := OpenDialog1.FileName;
end;

procedure TOptionForm.HotKeyListClick(Sender: TObject);
begin
  if HotKeyList.Selected <> nil then
    HotKey1.HotKey := TextToShortCut(HotKeyList.Selected.SubItems[0]);
end;

procedure TOptionForm.HotKey1Change(Sender: TObject);
begin
  if HotKeyList.Selected <> nil then
  begin
    HotKeyList.Selected.SubItems[0] := ShortCutToText(HotKey1.HotKey);
  end;
end;

procedure TOptionForm.MouseListClick(Sender: TObject);
begin
  if MouseList.Selected = nil then
    Exit;

  MouseGesEdit.Text := MouseList.Selected.SubItems[0];
end;

procedure TOptionForm.SpTBXButton23Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton24Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton25Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton26Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton15Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton16Click(Sender: TObject);
begin
  MouseGesEdit.Text := MouseGesEdit.Text + '';
end;

procedure TOptionForm.SpTBXButton1Click(Sender: TObject);
var
  Str: String;
begin
  case SpTBXTabControl1.ActiveTabIndex of
  0:
    begin
      Str := '::/' + '200512404020781.htm#kihon';
    end;
  1:
    begin
      Str := '::/' + '200512404020781.htm#other';
    end;
  2:
    begin
      Str := '::/' + '200512404020781.htm#shotkey';
    end;
  3:
    begin
      Str := '::/' + '200512404020781.htm#mges';
    end;
  end;
  if po <> nil then
    if FileExists(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm') then
      HtmlHelp(Handle,PChar(ExtractFilePath(Application.ExeName) +
        'SpeedHelpPad.chm' + str),HH_DISPLAY_TOC,0);
end;

procedure TOptionForm.SpTBXButton6Click(Sender: TObject);
begin
  if OpenDialog2.Execute then
    hviewed.Text := OpenDialog2.FileName;
end;

procedure TOptionForm.SpTBXButton7Click(Sender: TObject);
begin
  if OpenDialog3.Execute then
    jared.Text := OpenDialog3.FileName;
end;

procedure TOptionForm.SpTBXButton8Click(Sender: TObject);
var
  d: String;
begin
  d := HTMLHelpCompDir.Text;
  if SelectDirectory('fBNgw','',d) then
    HTMLHelpCompDir.Text := d;
end;

procedure TOptionForm.SpTBXButton9Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    Dexplorepath.Text := OpenDialog1.FileName;
end;

end.
