program SpeedHelpPad;

uses
  Forms,
  SysUtils,
  Dialogs,
  Windows,
  main in 'main.pas' {FormMain},
  FormNewWizard in 'FormNewWizard.pas' {FormWizard},
  FormNewTopic in 'FormNewTopic.pas' {NewTopicForm},
  FormFindDialog in 'FormFindDialog.pas' {FindForm},
  FormReplace in 'FormReplace.pas' {ReplaceForm},
  FormLinkEditor in 'FormLinkEditor.pas' {LinkForm},
  FormImageView in 'FormImageView.pas' {ImageViewForm},
  FormImageAddForm in 'FormImageAddForm.pas' {ImageAddForm},
  FormFont in 'FormFont.pas' {FontForm},
  FormCustomTag in 'FormCustomTag.pas' {CustomTagForm},
  FormAddCustomTag in 'FormAddCustomTag.pas' {AddCustomTagForm},
  FormCaptureTool in 'FormCaptureTool.pas' {CaptureTool},
  FormSetCapture in 'FormSetCapture.pas' {SetCaptureForm},
  FormControlCapt in 'FormControlCapt.pas' {ControlCaptForm},
  FormBodySourceEdit in 'FormBodySourceEdit.pas' {FormEditSource},
  FormOption in 'FormOption.pas' {OptionForm},
  FormContextIDEditor in 'FormContextIDEditor.pas' {EditContextID},
  APITestWnd in 'APITestWnd.pas' {APITestForm},
  FormSetProject in 'FormSetProject.pas' {ProjectSetForm},
  TBXOfficeCTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXOfficeCTheme.pas',
  TBXOfficeKTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXOfficeKTheme.pas',
  TBXReliferTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXReliferTheme.pas',
  TBXRomaTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXRomaTheme.pas',
  TBXSentimoXTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXSentimoXTheme.pas',
  TBXTristan2Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXTristan2Theme.pas',
  TBXTristanTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXTristanTheme.pas',
  TBXWhidbeyTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXWhidbeyTheme.pas',
  TBXXitoTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXXitoTheme.pas',
  TBXZezioTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXZezioTheme.pas',
  TBXAthenTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXAthenTheme.pas',
  TBXDreamTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXDreamTheme.pas',
  TBXEosTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXEosTheme.pas',
  TBXMirandaTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXMirandaTheme.pas',
  TBXMonaiTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXMonaiTheme.pas',
  TBXMonaiXPTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXMonaiXPTheme.pas',
  TBXNexos2Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXNexos2Theme.pas',
  TBXNexos3Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXNexos3Theme.pas',
  TBXNexos4Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXNexos4Theme.pas',
  TBXNexos5Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXNexos5Theme.pas',
  TBXNexosXTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXNexosXTheme.pas',
  TBXOffice11AdaptiveTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXOffice11AdaptiveTheme.pas',
  TBXOffice2003Theme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBXTheme\TBXOffice2003Theme.pas',
  TBXStripesTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBX(2.1)\TBXStripesTheme.pas',
  TBXAluminumTheme,
  TBXOfficeXPTheme in '..\..\..\..\..\Develop\DelphiComponents\ToolBar2000\TBX(2.1)\TBXOfficeXPTheme.pas',
  FormContextEd in 'FormContextEd.pas' {ContextEdForm},
  FormVar in 'FormVar.pas' {VarForm},
  FormDevTheme in 'FormDevTheme.pas' {DevThemeForm},
  FormTableInsert in 'FormTableInsert.pas' {TableInsertForm},
  FormUserTool in 'FormUserTool.pas' {UserToolForm},
  FormAddCustomTool in 'FormAddCustomTool.pas' {AddCustomToolForm};

{$R *.res}

var
  Mutex: Integer;
begin
  Mutex := OpenMutex(MUTEX_ALL_ACCESS, False, 'SpeedHelpPadMutex');
  if Mutex <> 0 then
  begin
    CloseHandle(Mutex);
    Showmessage('SpeedHelpPad͊ɋNĂ܂B');
    Exit;
  end;
  Mutex := CreateMutex(nil, False, 'SpeedHelpPadMutex');

  Application.Initialize;
  Application.Title := 'SpeedHelpPad';
  if FindCmdLineSwitch('devtheme',['-','/'],true) = False then
  begin
    Application.CreateForm(TFormMain, FormMain);
  end else
  begin
    Application.CreateForm(TDevThemeForm, DevThemeForm);
  end;
  Application.Run;

  ReleaseMutex(Mutex);
end.
